# Rename a client or change its redirect addresses

`PUT /customer-accounts/oidc/clients/{id}` · Rivier · contacts

Rename a client or change its redirect addresses.

- Scope: contacts:admin
- Graphql: Mutation.contactsCustomerOidcUpdate
- Sdk: contacts.customerOidc.update
- Cli: contacts customer oidc update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "project": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "redirectUris": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 500
      },
      "minItems": 1,
      "maxItems": 10
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/customer-accounts/oidc/clients/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "project": "string",
  "name": "string",
  "redirectUris": [
    "string"
  ]
}'
```
